-- phpMyAdmin SQL Dump
-- version 3.4.5
-- http://www.phpmyadmin.net
--
-- Хост: localhost
-- Время создания: Дек 06 2011 г., 18:25
-- Версия сервера: 5.0.77
-- Версия PHP: 5.2.17

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- База данных: `forum`
--

-- --------------------------------------------------------

--
-- Структура таблицы `access_name`
--

CREATE TABLE IF NOT EXISTS `access_name` (
  `access` varchar(256) NOT NULL,
  `name` varchar(256) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `ads`
--

CREATE TABLE IF NOT EXISTS `ads` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(32) NOT NULL,
  `link` varchar(640) NOT NULL,
  `time` varchar(60) NOT NULL,
  `type` varchar(500) NOT NULL,
  `autor` varchar(500) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=11 ;

-- --------------------------------------------------------

--
-- Структура таблицы `chat`
--

CREATE TABLE IF NOT EXISTS `chat` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `text` text NOT NULL,
  `cit` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `comments`
--

CREATE TABLE IF NOT EXISTS `comments` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL,
  `m` varchar(256) NOT NULL,
  `m_id` int(11) NOT NULL,
  `text` text NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `downloads`
--

CREATE TABLE IF NOT EXISTS `downloads` (
  `id` int(11) NOT NULL auto_increment,
  `dir_id` int(11) NOT NULL,
  `path` varchar(256) NOT NULL,
  `type` int(11) NOT NULL,
  `name` varchar(256) NOT NULL,
  `server_name` varchar(256) NOT NULL,
  `time` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `file_ext` varchar(256) NOT NULL,
  `screen1` varchar(512) NOT NULL,
  `screen2` varchar(512) NOT NULL,
  `screen3` varchar(512) NOT NULL,
  `about` text NOT NULL,
  `producer` varchar(512) NOT NULL,
  `year_release` varchar(32) NOT NULL,
  `rate_promob` int(11) NOT NULL,
  `loads` int(11) NOT NULL,
  `rate` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `downloads_comments`
--

CREATE TABLE IF NOT EXISTS `downloads_comments` (
  `id` int(11) NOT NULL auto_increment,
  `file_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `text` text NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `downloads_files`
--

CREATE TABLE IF NOT EXISTS `downloads_files` (
  `id` int(11) NOT NULL auto_increment,
  `file_id` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `name` varchar(256) NOT NULL,
  `size` int(11) NOT NULL,
  `server_name` varchar(512) NOT NULL,
  `ext` varchar(64) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `forum_f`
--

CREATE TABLE IF NOT EXISTS `forum_f` (
  `id` int(11) NOT NULL auto_increment,
  `r_id` int(11) NOT NULL,
  `name` varchar(64) NOT NULL,
  `pos` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=25 ;

-- --------------------------------------------------------

--
-- Структура таблицы `forum_p`
--

CREATE TABLE IF NOT EXISTS `forum_p` (
  `id` int(11) NOT NULL auto_increment,
  `theme_id` int(11) NOT NULL,
  `t_id` int(11) NOT NULL,
  `f_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `theme` varchar(256) NOT NULL default '',
  `text` text NOT NULL,
  `time` int(11) NOT NULL,
  `edit_time` int(11) NOT NULL,
  `count_edit` int(11) NOT NULL,
  `edit_user_id` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=70 ;

-- --------------------------------------------------------

--
-- Структура таблицы `forum_r`
--

CREATE TABLE IF NOT EXISTS `forum_r` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(64) NOT NULL,
  `pos` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=22 ;

-- --------------------------------------------------------

--
-- Структура таблицы `forum_read`
--

CREATE TABLE IF NOT EXISTS `forum_read` (
  `user_id` int(11) NOT NULL,
  `forum_f_id` int(11) NOT NULL,
  `forum_t_id` int(11) NOT NULL,
  `post_id` int(11) NOT NULL,
  `time` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `forum_t`
--

CREATE TABLE IF NOT EXISTS `forum_t` (
  `id` int(11) NOT NULL auto_increment,
  `f_id` int(11) NOT NULL,
  `time_last_post` int(11) NOT NULL,
  `closed` int(1) NOT NULL,
  `attach` int(1) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=19 ;

-- --------------------------------------------------------

--
-- Структура таблицы `friends`
--

CREATE TABLE IF NOT EXISTS `friends` (
  `user_id` int(11) NOT NULL,
  `friend_id` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `active` int(1) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `guests`
--

CREATE TABLE IF NOT EXISTS `guests` (
  `ip` varchar(256) NOT NULL,
  `ua` varchar(512) NOT NULL,
  `date_last` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `guests`
--

INSERT INTO `guests` (`ip`, `ua`, `date_last`) VALUES
('195.242.161.237', 'Opera/9.80 ', 1323181301);

-- --------------------------------------------------------

--
-- Структура таблицы `loads`
--

CREATE TABLE IF NOT EXISTS `loads` (
  `id` int(11) NOT NULL auto_increment,
  `dir_id` int(11) NOT NULL,
  `type` int(11) NOT NULL,
  `name` varchar(256) NOT NULL,
  `time` int(11) NOT NULL,
  `screen1` varchar(512) NOT NULL,
  `screen2` varchar(512) NOT NULL,
  `screen3` varchar(512) NOT NULL,
  `about` text NOT NULL,
  `rate` int(11) NOT NULL,
  `loads` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `loads_files`
--

CREATE TABLE IF NOT EXISTS `loads_files` (
  `id` int(11) NOT NULL auto_increment,
  `file_id` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `name` varchar(256) NOT NULL,
  `size` int(11) NOT NULL,
  `server_name` varchar(512) NOT NULL,
  `ext` varchar(64) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `lost_password`
--

CREATE TABLE IF NOT EXISTS `lost_password` (
  `id` int(11) NOT NULL auto_increment,
  `login` varchar(64) NOT NULL,
  `email` varchar(256) NOT NULL,
  `key` text NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

--
-- Дамп данных таблицы `lost_password`
--

INSERT INTO `lost_password` (`id`, `login`, `email`, `key`, `time`) VALUES
(4, 'MrTwister', 'mr.twisterr@ukr.net', '6a4b5bc7f3856aee366f9d8aab5c49d3', 1320659092);

-- --------------------------------------------------------

--
-- Структура таблицы `mail`
--

CREATE TABLE IF NOT EXISTS `mail` (
  `id` int(11) NOT NULL auto_increment,
  `mail_chat_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `text` text NOT NULL,
  `time` int(11) NOT NULL,
  `to_id` int(11) NOT NULL,
  `read` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=155 ;

-- --------------------------------------------------------

--
-- Структура таблицы `mail_chat`
--

CREATE TABLE IF NOT EXISTS `mail_chat` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL,
  `to_id` int(11) NOT NULL,
  `time_last_mail` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=10 ;

-- --------------------------------------------------------

--
-- Структура таблицы `news`
--

CREATE TABLE IF NOT EXISTS `news` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL,
  `title` varchar(256) NOT NULL,
  `text` text NOT NULL,
  `time` int(11) NOT NULL,
  `view` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `news_comments`
--

CREATE TABLE IF NOT EXISTS `news_comments` (
  `id` int(11) NOT NULL auto_increment,
  `news_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `text` text NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `rate`
--

CREATE TABLE IF NOT EXISTS `rate` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL,
  `module` varchar(256) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `system`
--

CREATE TABLE IF NOT EXISTS `system` (
  `key` text NOT NULL,
  `value` text NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `system`
--

INSERT INTO `system` (`key`, `value`) VALUES
('img_files', 'png;gif;jpg;jpeg;'),
('files_ext', 'png;gif;jpg;jpeg;sis;sisx;zip;rar;jar;jar;mp4;3gp;'),
('downloads_module', '1'),
('downloads_module_about', 'Уважаемые посетители, загруз-центр временно закрыт, для проведения технических работ.'),
('forum_module', '1'),
('forum_module_about', 'Уважаемые посетители, форум временно закрыт, для проведения технических работ.');

-- --------------------------------------------------------

--
-- Структура таблицы `system_logs`
--

CREATE TABLE IF NOT EXISTS `system_logs` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(256) NOT NULL,
  `text` text NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `team_news`
--

CREATE TABLE IF NOT EXISTS `team_news` (
  `title` varchar(256) NOT NULL,
  `text` text NOT NULL,
  `time` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `id` int(11) NOT NULL auto_increment,
  `login` varchar(32) NOT NULL,
  `nick` varchar(64) NOT NULL,
  `password` varchar(64) NOT NULL,
  `date_reg` int(11) NOT NULL,
  `date_last_entry` int(11) NOT NULL,
  `level` int(11) NOT NULL default '1',
  `email` varchar(72) NOT NULL,
  `user_name` varchar(256) NOT NULL,
  `user_surname` varchar(256) NOT NULL,
  `user_motto` varchar(512) NOT NULL,
  `user_info` text NOT NULL,
  `user_interest` varchar(3000) NOT NULL,
  `user_home` varchar(256) NOT NULL,
  `user_mobile` varchar(256) NOT NULL,
  `user_icq` varchar(256) NOT NULL,
  `user_site` varchar(256) NOT NULL,
  `pol` int(11) NOT NULL default '0',
  `bd_year` int(11) default NULL,
  `bd_month` int(11) default NULL,
  `bd_day` int(11) default NULL,
  `rating` int(11) NOT NULL,
  `ank_view` int(11) NOT NULL,
  `admin_panel` int(11) NOT NULL default '1',
  `ban` varchar(500) NOT NULL default '1',
  `bantime` varchar(500) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=16 ;

--
-- Дамп данных таблицы `users`
--

INSERT INTO `users` (`id`, `login`, `nick`, `password`, `date_reg`, `date_last_entry`, `level`, `email`, `user_name`, `user_surname`, `user_motto`, `user_info`, `user_interest`, `user_home`, `user_mobile`, `user_icq`, `user_site`, `pol`, `bd_year`, `bd_month`, `bd_day`, `rating`, `ank_view`, `admin_panel`, `ban`, `bantime`) VALUES
(15, 'Admin', 'Incredible', '0616b222a8c1d9b1d6b536dc7ca0e4cf', 1323181300, 1323181452, 15, '', '', '', '', '', '', '', '', '', '', 0, NULL, NULL, NULL, 0, 0, 2, '1', '');

-- --------------------------------------------------------

--
-- Структура таблицы `user_access`
--

CREATE TABLE IF NOT EXISTS `user_access` (
  `level` int(11) NOT NULL,
  `name` varchar(256) NOT NULL,
  `status` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `user_access`
--

INSERT INTO `user_access` (`level`, `name`, `status`) VALUES
(1, 'panel_access', 1),
(2, 'panel_access', 1),
(3, 'panel_access', 1),
(4, 'panel_access', 1),
(5, 'panel_access', 1),
(6, 'panel_access', 1),
(7, 'panel_access', 1),
(8, 'panel_access', 1),
(9, 'panel_access', 1),
(10, 'panel_access', 1),
(11, 'panel_access', 1),
(12, 'panel_access', 1),
(13, 'panel_access', 1),
(14, 'panel_access', 1),
(15, 'panel_access', 2),
(15, 'view_closed_modules', 2),
(14, 'view_closed_modules', 2),
(13, 'view_closed_modules', 1),
(12, 'view_closed_modules', 1),
(11, 'view_closed_modules', 1),
(10, 'view_closed_modules', 2),
(9, 'view_closed_modules', 1),
(8, 'view_closed_modules', 1),
(7, 'view_closed_modules', 1),
(6, 'view_closed_modules', 1),
(5, 'view_closed_modules', 1),
(4, 'view_closed_modules', 1),
(3, 'view_closed_modules', 1),
(2, 'view_closed_modules', 1),
(1, 'view_closed_modules', 1),
(15, 'full_edit_downloads', 2),
(14, 'full_edit_downloads', 1),
(13, 'full_edit_downloads', 1),
(12, 'full_edit_downloads', 1),
(11, 'full_edit_downloads', 1),
(10, 'full_edit_downloads', 1),
(9, 'full_edit_downloads', 1),
(8, 'full_edit_downloads', 1),
(7, 'full_edit_downloads', 1),
(6, 'full_edit_downloads', 1),
(5, 'full_edit_downloads', 1),
(4, 'full_edit_downloads', 1),
(3, 'full_edit_downloads', 1),
(2, 'full_edit_downloads', 1),
(1, 'full_edit_downloads', 1),
(14, 'add_files_downloads', 2),
(15, 'add_files_downloads', 2),
(12, 'add_files_downloads', 1),
(13, 'add_files_downloads', 1),
(10, 'add_files_downloads', 2),
(11, 'add_files_downloads', 1),
(8, 'add_files_downloads', 1),
(9, 'add_files_downloads', 1),
(6, 'add_files_downloads', 1),
(7, 'add_files_downloads', 1),
(4, 'add_files_downloads', 1),
(5, 'add_files_downloads', 1),
(2, 'add_files_downloads', 1),
(3, 'add_files_downloads', 1),
(15, 'add_dir_downloads', 2),
(1, 'add_files_downloads', 1),
(13, 'add_dir_downloads', 1),
(14, 'add_dir_downloads', 1),
(11, 'add_dir_downloads', 1),
(12, 'add_dir_downloads', 1),
(9, 'add_dir_downloads', 1),
(10, 'add_dir_downloads', 1),
(7, 'add_dir_downloads', 1),
(8, 'add_dir_downloads', 1),
(5, 'add_dir_downloads', 1),
(6, 'add_dir_downloads', 1),
(3, 'add_dir_downloads', 1),
(4, 'add_dir_downloads', 1),
(1, 'add_dir_downloads', 1),
(2, 'add_dir_downloads', 1),
(1, 'delete_comments', 1),
(2, 'delete_comments', 1),
(3, 'delete_comments', 1),
(4, 'delete_comments', 1),
(5, 'delete_comments', 1),
(6, 'delete_comments', 1),
(7, 'delete_comments', 1),
(8, 'delete_comments', 1),
(9, 'delete_comments', 1),
(10, 'delete_comments', 1),
(11, 'delete_comments', 1),
(12, 'delete_comments', 1),
(13, 'delete_comments', 1),
(14, 'delete_comments', 2),
(15, 'delete_comments', 2),
(1, 'team_news', 1),
(2, 'team_news', 1),
(3, 'team_news', 1),
(4, 'team_news', 1),
(5, 'team_news', 1),
(6, 'team_news', 1),
(7, 'team_news', 1),
(8, 'team_news', 1),
(9, 'team_news', 1),
(10, 'team_news', 1),
(11, 'team_news', 1),
(12, 'team_news', 1),
(13, 'team_news', 1),
(14, 'team_news', 1),
(15, 'team_news', 2);

-- --------------------------------------------------------

--
-- Структура таблицы `user_level`
--

CREATE TABLE IF NOT EXISTS `user_level` (
  `name` varchar(64) NOT NULL,
  `level` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `user_level`
--

INSERT INTO `user_level` (`name`, `level`) VALUES
('Пользователь', 1),
('VIP персона', 2),
('Модератор чата', 3),
('Модератор обменника', 4),
('Модератор фотоальбомов', 5),
('Модератор подарков', 6),
('Модератор блогов', 7),
('Модератор сообществ', 8),
('Модератор конференций', 9),
('Модератор загрузок', 10),
('Модератор форума', 11),
('Модератор библиотеки', 12),
('Старший модератор', 13),
('Администратор', 14),
('Создатель сайта', 15);

-- --------------------------------------------------------

--
-- Структура таблицы `user_rating`
--

CREATE TABLE IF NOT EXISTS `user_rating` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL,
  `rate_id` int(11) NOT NULL,
  `text` text NOT NULL,
  `time` int(11) NOT NULL,
  `type` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `user_settings`
--

CREATE TABLE IF NOT EXISTS `user_settings` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL,
  `fast_form` int(11) NOT NULL default '1',
  `img_site` int(11) NOT NULL default '1',
  `new_posts` int(11) NOT NULL default '1',
  `auto_go` int(11) NOT NULL default '2',
  `theme` varchar(256) NOT NULL default 'default',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=16 ;

--
-- Дамп данных таблицы `user_settings`
--

INSERT INTO `user_settings` (`id`, `user_id`, `fast_form`, `img_site`, `new_posts`, `auto_go`, `theme`) VALUES
(1, 1, 1, 1, 1, 2, 'default'),
(2, 2, 1, 1, 1, 2, 'default'),
(3, 3, 1, 1, 1, 2, 'default'),
(4, 4, 1, 1, 1, 2, 'default'),
(5, 5, 1, 1, 1, 2, 'default'),
(6, 6, 1, 1, 1, 2, 'default'),
(7, 7, 1, 1, 1, 2, 'default'),
(8, 8, 1, 1, 1, 2, 'default'),
(9, 9, 1, 1, 1, 2, 'default'),
(10, 10, 1, 1, 1, 2, 'default'),
(11, 11, 1, 1, 1, 2, 'default'),
(12, 12, 1, 1, 1, 2, 'default'),
(13, 13, 1, 1, 1, 2, 'default'),
(14, 14, 1, 1, 1, 2, 'default'),
(15, 15, 1, 1, 1, 2, 'default');

-- --------------------------------------------------------

--
-- Структура таблицы `warn`
--

CREATE TABLE IF NOT EXISTS `warn` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL,
  `title` varchar(512) NOT NULL,
  `text` text NOT NULL,
  `time` int(11) NOT NULL,
  `read` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=8 ;

--
-- Дамп данных таблицы `warn`
--

INSERT INTO `warn` (`id`, `user_id`, `title`, `text`, `time`, `read`) VALUES
(1, 1, 'Добавление в друзья', 'Пользователь <a href="/user/user.php?user_id=3">Mr_Twister</a> отправил заявку на добавление Вас в друзья. Принять или отклонить заявку вы можете <a href="/friends/requests.php">здесь</a>.', 1320310000, 1),
(2, 3, 'Принятие дружбы', 'Пользователь <a href="/user/user.php?user_id=1">TakT</a> принял Ваше предложение дружбы.', 1320310080, 1),
(3, 4, 'Добавление в друзья', 'Пользователь <a href="/user/user.php?user_id=3">Mr_Twister</a> отправил заявку на добавление Вас в друзья. Принять или отклонить заявку вы можете <a href="/friends/requests.php">здесь</a>.', 1320324326, 1),
(4, 3, 'Принятие дружбы', 'Пользователь <a href="/user/user.php?user_id=4">WapKat</a> принял Ваше предложение дружбы.', 1320324364, 1),
(5, 6, 'Добавление в друзья', 'Пользователь <a href="/user/user.php?user_id=3">Mr_Twister</a> отправил заявку на добавление Вас в друзья. Принять или отклонить заявку вы можете <a href="/friends/requests.php">здесь</a>.', 1320331509, 1),
(6, 3, 'Принятие дружбы', 'Пользователь <a href="/user/user.php?user_id=6">BAH0</a> принял Ваше предложение дружбы.', 1320331603, 1),
(7, 8, 'Добавление в друзья', 'Пользователь <a href="/user/user.php?user_id=3">Mr_Twister</a> отправил заявку на добавление Вас в друзья. Принять или отклонить заявку вы можете <a href="/friends/requests.php">здесь</a>.', 1320409324, 1);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
