<?php

/**
 * Page: Главная страница панели управления (index.php)
 * Module: Панель управления (panel)
 * Author: Plato
 * Site: http://scms.su    
 */
 
# Проверка прав доступа
if (!isset($user) || !user_access('panel')) {
  # Возврат на главную страницу
  header('Location: /');  
}

# Изменение объявления администрации
if (isset($_GET['edit_team_news']) && user_access('team_news') && isset($_POST['text'])) {
  $text = txt($_POST['text']);
  
  if (!empty($text) && mb_strlen($text, 'UTF-8') > 3000) $err .= 'Длина объявления превышает 3000 символов<br />';
  
  if (!isset($err)) {
    # Сохраняем данные
    mysql_query("UPDATE `system` SET `value` = '". input($text) ."' WHERE `key` = 'team_news'");

    require_once(HOME .'/incfiles/header.php');
    
    echo '<div class="title">Изменение объявления</div>
    <div class="menu">
    Объявление администрации успешно сохранено.
    </div>';
    
    echo '<div class="block">
    <a href="/panel/">Панель управления</a><br />
    <a href="/">На главную</a>
    </div>';

    require_once(HOME .'/incfiles/footer.php');
  }
} 

# Заголовок модуля
$system['page_title'] = 'Панель управления';

# Шапка модуля
require_once(HOME .'/incfiles/header.php');

error($err);

# Изменение объявления администрации
if (isset($_GET['edit_team_news']) && user_access('team_news')) {
  echo '<form method="post" action="?edit_team_news">
  <div class="title">Изменение объявления</div>
  <div class="menu">
  Текст объявления:<br />
  <textarea cols="25" rows="5" name="text">'. $system['team_news'] .'</textarea><br />
  <small>* Не больше 3000 символов</small><br />
  <small>** Если хотите скрыть объявление, то оставьте поле пустым</small><br />
  <input type="submit" value="Сохранить" />
  </div>
  </form>';
  
  echo '<div class="block">
  <a href="/panel/">Панель управления</a><br />
  <a href="/">На главную</a>
  </div>';

  require_once(HOME .'/incfiles/footer.php');
}

# Объявление администрации
if ($system['team_news'] != NULL) {
  echo '<div class="title">Объявление администрации</div>
  <div class="menu">
  '. output($system['team_news']) .'
  '. (user_access('team_news')?'<br /><a href="?edit_team_news">Изменить</a>':NULL) .'
  </div>';
}

echo '<div class="title">Меню панели</div>
<div class="menu">
'. (user_access('panel_access')?'<a href="/panel/user_access.php">Права доступа</a><br />':NULL) .'
'. (user_access('settings')?'<a href="/panel/settings.php">Настройки сайта</a><br />':NULL) .'
'. (user_access('team_news')?'<a href="?edit_team_news">Объявление администрации</a><br />':NULL) .'
</div>';

# Ноги модуля
require_once(HOME .'/incfiles/footer.php');

?>
