<?php

# Показ ошибок
ini_set('error_reporting', 0);

# Серверный путь к сайту
define('HOME', $_SERVER['DOCUMENT_ROOT']);

# Полный HTTP путь к сайту
define('URL', 'http://'. $_SERVER['HTTP_HOST']);

# Старт сессий
session_name('sid');
session_start();

echo '<?xml version="1.0" encoding="utf-8"?>';

?>

<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ru">
  <head>
  <meta http-equiv="Content-Type" content="application/vnd.wap.xhtml+xml; charset=UTF-8" />
  <style type="text/css">
  body {
    color: #808080;
    margin: 0;
    font: 12px Arial;
    background: none repeat scroll 0 0;
  }
  a:link, a:active, a:visited {
    color: #009cf0;
    text-decoration: none;
  }
  a:hover, a:focus {
    color: #b1b1b1;
  }
  img {
    border-style: none;
  }
  input, textarea, select, .auth a, .menu, .title, .error {
    border-radius: 4px;
  }
  input, textarea, select {
    color: #828282;
    margin: 1px;
    padding: 2px;
    border: 1px solid #e3e3e3;
    background: #fff;
  }
  input:focus, textarea:focus, select:focus {
    color: #7a7a7a;
    margin: 1px;
    padding: 2px;
    border: 1px solid #e7e7e7;
    background: #fbfbfb;
  }
  input[type="submit"] {
    color: #fff;
    background: url(images/authh.gif) 50% top repeat-x #199bd6;
    padding: 3px;
    border-style: none;
    cursor: pointer;
  }
  input[type="submit"]:hover {
    color: #fff;
    background: url(images/copy.gif) 0 top repeat-x #7e7e7e;
  }
  .head {
    border-bottom: 2px solid #d7d7d7;
    background: url(images/head.gif) repeat-x 50% top;
  }
  .head img {
    vertical-align: middle;
  }
  .auth {
    margin-top: -22px;
    margin-bottom: 8px;
    padding-left: 43px;
  }
  .auth a {
    color: #acacac;
    font-size: 10px;
    padding-right: 4px;
    padding-left: 4px;
    border: 1px solid #dfdfdf;
    background: #f7f7f7 url(images/auth.gif) repeat-x 50% top;
  }
  .auth a:hover {
    color: #fff;
    font-size: 10px;
    padding-right: 4px;
    padding-left: 4px;
    border-color: #93e6ec;
    border-style: groove ridge ridge groove;
    border-width: 2px;
    background: #199bd6 url(images/authh.gif) repeat-x 50% top;
  }
.nav {
    margin-top: -14px;
    margin-bottom: 2px;
}
.adv {
    text-shadow: #fff 1px 1px 0;
    margin-top: 1px;
    margin-bottom: 1px;
    padding: 4px;
    background: #e2e2e2 url(images/adv.gif) repeat-x 50% top;
}
.stat {
    text-shadow: #fff 1px 1px 0;
    margin-top: 1px;
    margin-bottom: 1px;
    padding: 4px;
    padding-bottom: 2px;
    background: #e2e2e2 url(images/adv.gif) repeat-x 50% top;
}
.adv a {
    padding-left: 14px;
    background: url(images/star.png) no-repeat left 50%;
}
.main {
    margin-top: 1px;
    margin-bottom: 1px;
    border-top: 1px solid #e0e0e0;
    border-bottom: 1px solid #e0e0e0;
    background: #f8f8f8;
}
.title {
    color: #fff;
    position: relative;
    z-index: 1;
    margin-top: 6px;
    margin-bottom: -32px;
    margin-left: 6px;
    padding-right: 6px;
    padding-left: 6px;
    border-color: #8fdcff;
    border-style: groove ridge ridge groove;
    border-width: 2px;
    display: table;
    background: #1895d4 url(images/til.gif) repeat-x 50% top;
}
.title a {
    color: #fff;
    border-bottom: 1px dotted #ace6ff;
}
.title + .menu, .title + .block {
    margin-top: 6px;
    margin-bottom: 4px;
    padding-top: 28px;
}
.title + form .menu {
    margin-top: 6px;
    padding-top: 30px;
}
.ico {
    vertical-align: middle;
}
.menu {
    margin: 2px;
    padding: 6px;
    border: 1px solid #e6e6e6;
    background: #fff url(images/main.gif) repeat-x 50% top;
}
.block {
    margin-top: 2px;
    margin-bottom: 2px;
    padding: 4px;
    border-top: 1px solid #e6e6e6;
    border-bottom: 1px solid #e6e6e6;
    background: #fdfdfd;
}
.err {
    color: #fff;
    margin: 2px;
    padding: 4px;
    background: #ff4747;
}
.copy {
    padding: 5px;
    background: #7e7e7e url(images/copy.gif) repeat-x 50% top;
}
.copy a {
    color: #fdfdfd;
}
  </style>
  <title>Установка SteamCMS</title>
  </head>

  <body>
  
  <div class="head"><img src="images/logo.png" alt="SteamCMS" /></div>
  
  <div class="auth"><a href="/install/">Обновление CMS</a></div>
  
  <div class="adv"><a href="http://scms.su">Официальный сайт</a><br /><a href="http://raidhost.net">Хостинг для SteamCMS</a></div>
  
  <div class="main">
  
<?php

  # Парсер SQL запросов
  function parse_sql($sql) {
    $queries = array();
    $strlen = strlen($sql);
    $position = 0;
    $query = '';

    for (;$position<$strlen;++$position) {
      $char = $sql{$position};

      switch ($char) {
        case '-':
          if (substr($sql, $position, 3) !== '-- ') {
            $query .= $char;
            
            break;
          }

        case '#':
          while ($char !== "\r" && $char !== "\n" && $position < $strlen - 1) $char = $sql{++$position};
        break;

        case '`':
        case '\'':
        case '"':
          $quote  = $char;
          $query .= $quote;

          while ($position < $strlen - 1) {
            $char = $sql{++$position};

            if ($char === '\\') {
              $query .= $char;

              if ($position < $strlen - 1) {
                $char = $sql{++$position};
                $query .= $char;

                if ($position < $strlen - 1) $char = $sql{++$position};
              } else {
                break;
              }
            }

            if ($char === $quote) break;

            $query .= $char;
          }

          $query .= $quote;
          
          break;

        case ';':
          $query = trim($query);
                    
          if ($query) $queries[] = $query;
          
          $query = '';
        break;

        default:
          $query .= $char;
        break;
      }
    }

    $query = trim($query);
        
    if ($query) $queries[] = $query;

    return $queries;
  }
  
  function unpackZip($dir, $file, $log=0) {
    if ($log) echo "Start unpack [$file] into [$dir] directory... <br/>";
 
    if ($zip = zip_open($file)) {
        if ($zip) {
            // создать каталог, если он не существует
            if (! file_exists($dir)) mkdir($dir);
 
            while ($zip_entry = zip_read($zip)) {
                $name = zip_entry_name($zip_entry);
                if ($log) echo "   <b>unpack </b>: $name <br/>";
 
                // последний символ имени
                $last = substr($name, strlen($name)-1);
 
                // если это каталог
                if ($last == "/" || $last == "\\\\") {
                    $subdir = $dir."/".$name;
                    // создать каталог, если он не существует
                    if (! file_exists($subdir)) mkdir ($subdir);
                } else {
                    // распаковать файл
                    if (zip_entry_open($zip,$zip_entry,"r")) {
                        $buf = zip_entry_read($zip_entry, zip_entry_filesize($zip_entry));
                        $fp = fopen($dir."/".zip_entry_name($zip_entry),"w");
                        fwrite($fp,$buf);
                        zip_entry_close($zip_entry);
                    } else {
                        return false;
                    }
                }
            }
            zip_close($zip);
        }
    } else {
        return false;
    }
 
    return true;
  }

  # CHMOD файлов и папок
  $chmods = file(HOME .'/update/chmod.txt');
  
  # Файлы для удаления
  $delete = file(HOME .'/update/updates/from_'. file_get_contents(HOME .'/incfiles/data/version.txt') .'_to_'. file_get_contents(HOME .'/update/version.txt') .'/to_delete.txt');

  # Этап установки
  $act = $_GET['act'];
  
  $_SESSION['install'] = '1';
  
  switch ($act) {
    # Содержимое по умолчанию
    default:
      echo '<div class="title"><img src="images/titl.gif" class="ico" alt="" />Лицензионное соглашение</div>
      <div class="menu">
      <textarea cols="25" rows="5">'. file_get_contents(HOME .'/incfiles/data/license.txt') .'</textarea><br />
      <a href="?act=index">Согласен</a> | <a href="?act=exit">Не согласен</a>
      </div>';
    break;
    
    # Содержимое в случае не согласия с соглашением
    case 'exit':
      echo '<div class="menu">
      Вы не можете продолжить обновление без согласия с лицензионным соглашением. Пожалуйста удалите SteamCMS с Вашего сервера.
      </div>
      
      <div class="block">
      <a href="?act=">Вернуться назад</a>
      </div>';
    break;
    
    # Индексная страница
    case 'index':
      echo '<div class="title"><img src="images/titl.gif" class="ico" alt="" />Меню обновления</div>
      <div class="menu">
      Ваша версия SteamCMS: <b>'. file_get_contents(HOME .'/incfiles/data/version.txt') .'</b><br />
      Актуальная версия SteamCMS: <b>'. file_get_contents(HOME .'/update/version.txt') .'</b><br />
      <small>* По данным Вашего мастера обновления</small><br /><br />
      <a href="?act=db">Переустановить MySQL соединение</a><br />
      <a href="">Справка по обновлению</a><br />
      '. (file_get_contents(HOME .'/incfiles/data/version.txt') == file_get_contents(HOME .'/update/version.txt')?'У Вас установлена последняя актуальная версия CMS. Обновление не требуется.':'<a href="?act=chmod">Обновить CMS до версии '. file_get_contents(HOME .'/update/version.txt') .'</a>') .'<br /><br />
      
      Последняя версия мастера обновления находятся по адресу <a href="http://scms.su/cms/update/">http://scms.su/cms/update/</a>
      </div>
      
      <div class="block">
      <a href="?act=">Вернуться назад</a>
      </div>';
    break;    
    
    # Проверка прав для записи
    case 'chmod':
      if (file_get_contents(HOME .'/incfiles/data/version.txt') == file_get_contents(HOME .'/update/version.txt')) header('Location: /');
    
      echo '<div class="title"><img src="images/titl.gif" class="ico" alt="" />Права для записи</div>
      <div class="menu">
      <table>
      <tr>
      <td><b>Файл/папка</b></td>
      <td><b>Права для записи</b></td>
      </tr>
          
      <tr>';
      
      foreach ($chmods as $chmod) {
        echo '<tr>
        <td>'. str_replace('../', '', $chmod) .'</td>';
        
        if (is_writable(trim($chmod))) {
          echo '<td><span style="color: green">Записываемый</span></td>';
        } else {
          echo '<td><span style="color: red">Необходимы права 0777</span></td>';
                    
          $err = TRUE;
        }
        
        echo '</tr>';
      }
      
      echo '</tr>
      </table>
      '. ($err == TRUE?'<a href="?act=chmod">Обновить</a>':'<a href="?act=copy_new">Продолжить</a>') .'    
      </div>
      
      <div class="block">
      <a href="?act=index">Вернуться назад</a>
      </div>';
    break;
    
    # Соединение с базой данных
    case 'db':
      if (isset($_POST['add_db'])) {
        $server = htmlspecialchars(trim($_POST['server']));
        $user = htmlspecialchars(trim($_POST['user']));
        $password = htmlspecialchars(trim($_POST['password']));
        $db = htmlspecialchars(trim($_POST['db']));
        
        if (empty($server)) $err .= 'Не введено имя сервера<br />';
        if (empty($user)) $err .= 'Не введено имя пользователя<br />';
        if (empty($password)) $err .= 'Не введен пароль пользователя<br />';
        if (empty($db)) $err .= 'Не введено имя базы данных<br />';
        
        # Проверка наличия соединения
        if (!mysql_connect($server, $user, $password)) $err .= 'Невозможно подключиться к серверу базы данных<br />';
        
        if (!isset($err) && !mysql_select_db($db)) $err .= 'Невозможно выбрать базу данных<br />';
        
        if (!isset($err)) {
          # Кодировка соединения
          mysql_query("SET NAMES utf8");
        
          # Запись файла с данными для соединения
          $text = "server = \"$server\";\nuser = \"$user\";\npassword = \"$password\";\ndb = \"$db\";";
          
          $fm = fopen(HOME .'/incfiles/data/db.ini', 'w');
          fwrite($fm, $text);
          fclose($fm);          
          
          echo '<div class="title"><img src="images/titl.gif" class="ico" alt="" />Соединение с базой данных</div>
          <div class="menu">
          Настройки для соединения с базой данных сохранены.<br />
          <a href="?act=index">Продолжить</a>
          </div>
          
          <div class="block">
          <a href="?act=db">Вернуться назад</a>
          </div>
          
          </div>
    
          <div class="stat"><a href="http://waplog.net/c.shtml?374534"><img src="http://c.waplog.net/374534.cnt" alt="waplog" /></a></div>
    
          <div class="copy"><a href="http://scms.su">2010-'. date('Y', time()) .' &copy; SteamCMS</a></div>';
    
          exit();
        }
      }
      
      if (isset($err)) echo '<div class="err">'. $err .'</div>';
    
      echo '<form method="post" action="?act=db">
      <div class="title"><img src="images/titl.gif" class="ico" alt="" />Соединение с базой данных</div>
      <div class="menu">
      Сервер:<br />
      <input type="text" name="server" value="localhost" /><br />
      Пользователь:<br />
      <input type="text" name="user" /><br />
      Пароль:<br />
      <input type="password" name="password" /><br />
      База данных:<br />
      <input type="text" name="db" /><br />
      <input type="submit" name="add_db" value="Отправить" />
      </div>
      </form>
      
      <div class="block">
      <a href="?act=index">Вернуться назад</a>
      </div>';
    break;
    
    # Копирование новых файлов
    case 'copy_new':
      if (file_get_contents(HOME .'/incfiles/data/version.txt') == file_get_contents(HOME .'/update/version.txt')) header('Location: /');
    
      # Путь к корню сайта
      $dir = HOME .'/';
      # Путь к архиву для распаковки
      $zip = HOME .'/update/updates/from_'. file_get_contents(HOME .'/incfiles/data/version.txt') .'_to_'. file_get_contents(HOME .'/update/version.txt') .'/new_files.zip';
      
      # Распаковка архива
      unpackZip($dir, $zip);
    
      echo '<div class="title"><img src="images/titl.gif" class="ico" alt="" />Распаковка новых файлов</div>
      <div class="menu">
      Файлы новой версии успешно распакованы.<br />
      <a href="?act=delete_old">Продолжить</a>
      </div>
      
      <div class="block">
      <a href="?act=chmod">Вернуться назад</a>
      </div>';
    break;
    
    # Удаление старых файлых
    case 'delete_old':
      if (file_get_contents(HOME .'/incfiles/data/version.txt') == file_get_contents(HOME .'/update/version.txt')) header('Location: /');
      
      foreach ($delete as $file) {
        unlink($file);
      }
    
      echo '<div class="title"><img src="images/titl.gif" class="ico" alt="" />Удаление старых файлов</div>
      <div class="menu">
      Старые файлы были удалены.<br />
      <a href="?act=mysql_update">Продолжить</a>
      </div>
      
      <div class="block">
      <a href="?act=copy_new">Вернуться назад</a>
      </div>';    
    break;
    
    # Обновление базы данных
    case 'mysql_update':
      if (file_get_contents(HOME .'/incfiles/data/version.txt') == file_get_contents(HOME .'/update/version.txt')) header('Location: /');
    
      $mysql = parse_ini_file(HOME .'/incfiles/data/db.ini');

      # Подключение к MySQL серверу
      mysql_connect($mysql['server'], $mysql['user'], $mysql['password']) or die('Невозможно подключиться к MySQL серверу');

      # Подключение к базе данных
      mysql_select_db($mysql['db']) or die('Невозможно подключиться к базе данных');
        
      # Кодировка соединения
      mysql_query("SET NAMES utf8");
      
      $sql = fread(fopen(HOME .'/update/updates/from_'. file_get_contents(HOME .'/incfiles/data/version.txt') .'_to_'. file_get_contents(HOME .'/update/version.txt') .'/mysql_update.sql', 'r'), filesize(HOME .'/update/updates/from_'. file_get_contents(HOME .'/incfiles/data/version.txt') .'_to_'. file_get_contents(HOME .'/update/version.txt')));
          
          # Получение массива с запросами
          $sql = parse_sql($sql);
          
          # Кол-во запросов всего
          $num_queries = 0;
          
          # Кол-во выполненных запросов
          $num_queries_ok = 0;
          
          for ($i=0;$i<count($sql);$i++) {
            if ($sql[$i] != '') {
              $num_queries++;

              if (mysql_query($sql[$i])) {
                $num_queries_ok++;
              }
            }
          }
    
      echo '<div class="title"><img src="images/titl.gif" class="ico" alt="" />Обновление базы данных</div>
      <div class="menu">
      Обновление базы данных произведено. Успешно выполнено '. $num_queries_ok .' запросов из '. $num_queries .' возможных.<br />
      <a href="?act=final">Продолжить</a>
      </div>
      
      <div class="block">
      <a href="?act=delete_old">Вернуться назад</a>
      </div>';    
    break;
    
    # Завершение обновления
    case 'final':
      if (file_get_contents(HOME .'/incfiles/data/version.txt') == file_get_contents(HOME .'/update/version.txt')) header('Location: /');
    
      echo '<div class="title"><img src="images/titl.gif" class="ico" alt="" />Завершение обновления</div>
      <div class="menu">
      Ваш сайт успешно обновлен до SteamCMS '. file_get_contents(HOME .'/incfiles/data/version.txt') .'. Самые актуальные обновления всегда расположены на официальном сайте CMS. Не забудьте удалить папку <b>/update/</b>.
      <a href="/">Перейти на сайт</a>
      </div>
      
      <div class="block">
      <a href="?act=mysql_update">Вернуться назад</a>
      </div>';
    break;
  }

?>
  </div>
    
  <div class="stat"><a href="http://waplog.net/c.shtml?374534"><img src="http://c.waplog.net/374534.cnt" alt="waplog" /></a></div>
  
  <div class="copy"><a href="http://scms.su">2010-<?php echo date('Y', time()); ?> &copy; SteamCMS</a></div>

  </body>
</html>