<?php

# Время генерации
$time_gen = microtime(1);

# Серверный путь к сайту
define('HOME', $_SERVER['DOCUMENT_ROOT']);

# Полный HTTP путь к сайту
define('URL', 'http://'. $_SERVER['HTTP_HOST']);

# Переходим к установке
if (!file_exists(HOME .'/incfiles/data/db.ini')) header('Location: /install/');

# Получение настроек сервера
require_once(HOME .'/incfiles/ini_set.php');

# Получение MySQL данных
$mysql = parse_ini_file(HOME .'/incfiles/data/db.ini');

# Подключение к MySQL серверу
mysql_connect($mysql['server'], $mysql['user'], $mysql['password']) or die('Невозможно подключиться к MySQL серверу');

# Подключение к базе данных
mysql_select_db($mysql['db']) or die('Невозможно подключиться к базе данных');

# Кодировка соединения
mysql_query("SET NAMES utf8");

# Старт сессий
session_name('sid');
session_start();

# Подключение основного системного файла
require_once(HOME .'/incfiles/system.php');

# Очистка запроса модуля
$module = txt($_GET['url']);

// Проверка наличия файла в запросе
if (preg_match('/\.php$/i', $module)) $module_file = true;
else $module_file = false;

// Если запрашивается какой-либо модуль
if (!empty($module))
{
    // Проверяем существование
    if (file_exists(HOME .'/modules/'. $module) && $module_file == true)
    {
        # Подключаем модуль
        require_once(HOME .'/modules/'. $module);
    }
    else if (file_exists(HOME .'/modules/'. $module) && $module_file == false)
    {
        // Проверяем наличие главной страницы модуля
        if (file_exists(HOME .'/modules/'. $module .'/index.php'))
        {
            # Подключаем главную страницу модуля
            require_once(HOME .'/modules/'. $module .'/index.php');
        }
        else
        {
            $index = 1;

            # Подключаем главную страницу сайта
            require_once(HOME .'/modules/index.php');
        }
    }
    else
    {
        $index = 1;

        # Подключаем главную страницу сайта
        require_once(HOME .'/modules/index.php');
    }
}
else
{
    $index = 1;

    # Подключаем главную страницу сайта
    require_once(HOME .'/modules/index.php');
}

?>