<?php

# Показ ошибок
ini_set('error_reporting', 0);

# Серверный путь к сайту
define('HOME', $_SERVER['DOCUMENT_ROOT']);

# Полный HTTP путь к сайту
define('URL', 'http://'. $_SERVER['HTTP_HOST']);

# Старт сессий
session_name('sid');
session_start();

echo '<?xml version="1.0" encoding="utf-8"?>';

?>

<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ru">
  <head>
  <meta http-equiv="Content-Type" content="application/vnd.wap.xhtml+xml; charset=UTF-8" />
  <style type="text/css">
  body {
    color: #808080;
    margin: 0;
    font: 12px Arial;
    background: none repeat scroll 0 0;
  }
  a:link, a:active, a:visited {
    color: #009cf0;
    text-decoration: none;
  }
  a:hover, a:focus {
    color: #b1b1b1;
  }
  img {
    border-style: none;
  }
  input, textarea, select, .auth a, .menu, .title, .error {
    border-radius: 4px;
  }
  input, textarea, select {
    color: #828282;
    margin: 1px;
    padding: 2px;
    border: 1px solid #e3e3e3;
    background: #fff;
  }
  input:focus, textarea:focus, select:focus {
    color: #7a7a7a;
    margin: 1px;
    padding: 2px;
    border: 1px solid #e7e7e7;
    background: #fbfbfb;
  }
  input[type="submit"] {
    color: #fff;
    background: url(images/authh.gif) 50% top repeat-x #199bd6;
    padding: 3px;
    border-style: none;
    cursor: pointer;
  }
  input[type="submit"]:hover {
    color: #fff;
    background: url(images/copy.gif) 0 top repeat-x #7e7e7e;
  }
  .head {
    border-bottom: 2px solid #d7d7d7;
    background: url(images/head.gif) repeat-x 50% top;
  }
  .head img {
    vertical-align: middle;
  }
  .auth {
    margin-top: -22px;
    margin-bottom: 8px;
    padding-left: 43px;
  }
  .auth a {
    color: #acacac;
    font-size: 10px;
    padding-right: 4px;
    padding-left: 4px;
    border: 1px solid #dfdfdf;
    background: #f7f7f7 url(images/auth.gif) repeat-x 50% top;
  }
  .auth a:hover {
    color: #fff;
    font-size: 10px;
    padding-right: 4px;
    padding-left: 4px;
    border-color: #93e6ec;
    border-style: groove ridge ridge groove;
    border-width: 2px;
    background: #199bd6 url(images/authh.gif) repeat-x 50% top;
  }
.nav {
    margin-top: -14px;
    margin-bottom: 2px;
}
.adv {
    text-shadow: #fff 1px 1px 0;
    margin-top: 1px;
    margin-bottom: 1px;
    padding: 4px;
    background: #e2e2e2 url(images/adv.gif) repeat-x 50% top;
}
.stat {
    text-shadow: #fff 1px 1px 0;
    margin-top: 1px;
    margin-bottom: 1px;
    padding: 4px;
    padding-bottom: 2px;
    background: #e2e2e2 url(images/adv.gif) repeat-x 50% top;
}
.adv a {
    padding-left: 14px;
    background: url(images/star.png) no-repeat left 50%;
}
.main {
    margin-top: 1px;
    margin-bottom: 1px;
    border-top: 1px solid #e0e0e0;
    border-bottom: 1px solid #e0e0e0;
    background: #f8f8f8;
}
.title {
    color: #fff;
    position: relative;
    z-index: 1;
    margin-top: 6px;
    margin-bottom: -32px;
    margin-left: 6px;
    padding-right: 6px;
    padding-left: 6px;
    border-color: #8fdcff;
    border-style: groove ridge ridge groove;
    border-width: 2px;
    display: table;
    background: #1895d4 url(images/til.gif) repeat-x 50% top;
}
.title a {
    color: #fff;
    border-bottom: 1px dotted #ace6ff;
}
.title + .menu, .title + .block {
    margin-top: 6px;
    margin-bottom: 4px;
    padding-top: 28px;
}
.title + form .menu {
    margin-top: 6px;
    padding-top: 30px;
}
.ico {
    vertical-align: middle;
}
.menu {
    margin: 2px;
    padding: 6px;
    border: 1px solid #e6e6e6;
    background: #fff url(images/main.gif) repeat-x 50% top;
}
.block {
    margin-top: 2px;
    margin-bottom: 2px;
    padding: 4px;
    border-top: 1px solid #e6e6e6;
    border-bottom: 1px solid #e6e6e6;
    background: #fdfdfd;
}
.err {
    color: #fff;
    margin: 2px;
    padding: 4px;
    background: #ff4747;
}
.copy {
    padding: 5px;
    background: #7e7e7e url(images/copy.gif) repeat-x 50% top;
}
.copy a {
    color: #fdfdfd;
}
  </style>
  <title>Установка SteamCMS</title>
  </head>

  <body>
  
  <div class="head"><img src="images/logo.png" alt="SteamCMS" /></div>
  
  <div class="auth"><a href="/install/">Установка CMS</a></div>
  
  <div class="adv"><a href="http://scms.su">Официальный сайт</a><br /><a href="http://raidhost.net">Хостинг для SteamCMS</a></div>
  
  <div class="main">
  
<?php

  # Проверка необходимости инсталяции
  if (file_exists(HOME .'/incfiles/data/db.ini') && $_SESSION['install'] == NULL) {
    echo '<div class="title"><img src="images/titl.gif" class="ico" alt="" />Ошибка</div>
    <div class="menu">
    Движок уже установлен на Вашем сайте.
    </div>
    
    <div class="block">
    <a href="/">Вернуться на сайт</a>
    </div>
    
    </div>
    
    <div class="stat"><a href="http://waplog.net/c.shtml?374534"><img src="http://c.waplog.net/374534.cnt" alt="waplog" /></a></div>
    
    <div class="copy"><a href="http://scms.su">2010-'. date('Y', time()) .' &copy; SteamCMS</a></div>';
    
    exit();
  }

  # Парсер SQL запросов
  function parse_sql($sql) {
    $queries = array();
    $strlen = strlen($sql);
    $position = 0;
    $query = '';

    for (;$position<$strlen;++$position) {
      $char = $sql{$position};

      switch ($char) {
        case '-':
          if (substr($sql, $position, 3) !== '-- ') {
            $query .= $char;
            
            break;
          }

        case '#':
          while ($char !== "\r" && $char !== "\n" && $position < $strlen - 1) $char = $sql{++$position};
        break;

        case '`':
        case '\'':
        case '"':
          $quote  = $char;
          $query .= $quote;

          while ($position < $strlen - 1) {
            $char = $sql{++$position};

            if ($char === '\\') {
              $query .= $char;

              if ($position < $strlen - 1) {
                $char = $sql{++$position};
                $query .= $char;

                if ($position < $strlen - 1) $char = $sql{++$position};
              } else {
                break;
              }
            }

            if ($char === $quote) break;

            $query .= $char;
          }

          $query .= $quote;
          
          break;

        case ';':
          $query = trim($query);
                    
          if ($query) $queries[] = $query;
          
          $query = '';
        break;

        default:
          $query .= $char;
        break;
      }
    }

    $query = trim($query);
        
    if ($query) $queries[] = $query;

    return $queries;
  }

  # CHMOD файлов и папок
  $chmods = file(HOME .'/incfiles/data/chmod.txt');

  # Этап установки
  $act = $_GET['act'];
  
  $_SESSION['install'] = '1';
  
  switch ($act) {
    # Содержимое по умолчанию
    default:
      echo '<div class="title"><img src="images/titl.gif" class="ico" alt="" />Лицензионное соглашение</div>
      <div class="menu">
      <textarea cols="25" rows="5">'. file_get_contents(HOME .'/incfiles/data/license.txt') .'</textarea><br />
      <a href="?act=chmod">Согласен</a> | <a href="?act=exit">Не согласен</a>
      </div>';
    break;
    
    # Содержиоме в случае не согласия с соглашением
    case 'exit':
      echo '<div class="menu">
      Вы не можете продолжить установку без согласия с лицензионным соглашением. Пожалуйста удалите SteamCMS с Вашего сервера.
      </div>
      
      <div class="block">
      <a href="?act=">Вернуться назад</a>
      </div>';
    break;
    
    # Проверка прав для записи
    case 'chmod':
    
      echo '<div class="title"><img src="images/titl.gif" class="ico" alt="" />Права для записи</div>
      <div class="menu">
      <table>
      <tr>
      <td><b>Файл/папка</b></td>
      <td><b>Права для записи</b></td>
      </tr>
          
      <tr>';
      
      foreach ($chmods as $chmod) {
        echo '<tr>
        <td>'. str_replace('../', '', $chmod) .'</td>';
        
        if (is_writable(trim($chmod))) {
          echo '<td><span style="color: green">Записываемый</span></td>';
        } else {
          echo '<td><span style="color: red">Необходимы права 0777</span></td>';
                    
          $err = TRUE;
        }
        
        echo '</tr>';
      }
      
      echo '</tr>
      </table>
      '. ($err == TRUE?'<a href="?act=chmod">Обновить</a>':'<a href="?act=db">Продолжить</a>') .'    
      </div>
      
      <div class="block">
      <a href="?act=">Вернуться назад</a>
      </div>';
    break;
    
    # Соединение с базой данных
    case 'db':
      if (isset($_POST['add_db'])) {
        $server = htmlspecialchars(trim($_POST['server']));
        $user = htmlspecialchars(trim($_POST['user']));
        $password = htmlspecialchars(trim($_POST['password']));
        $db = htmlspecialchars(trim($_POST['db']));
        
        if (empty($server)) $err .= 'Не введено имя сервера<br />';
        if (empty($user)) $err .= 'Не введено имя пользователя<br />';
        if (empty($password)) $err .= 'Не введен пароль пользователя<br />';
        if (empty($db)) $err .= 'Не введено имя базы данных<br />';
        
        # Проверка наличия соединения
        if (!mysql_connect($server, $user, $password)) $err .= 'Невозможно подключиться к серверу базы данных<br />';
        
        if (!isset($err) && !mysql_select_db($db)) $err .= 'Невозможно выбрать базу данных<br />';
        
        if (!isset($err)) {
          # Кодировка соединения
          mysql_query("SET NAMES utf8");
        
          # Запись файла с данными для соединения
          $text = "server = \"$server\";\nuser = \"$user\";\npassword = \"$password\";\ndb = \"$db\";";
          
          $fm = fopen(HOME .'/incfiles/data/db.ini', 'w');
          fwrite($fm, $text);
          fclose($fm);
          
          mysql_connect($server, $user, $password);
          
          mysql_select_db($db);
          
          $sql = fread(fopen(HOME .'/install/tables.sql', 'r'), filesize(HOME .'/install/tables.sql'));
          
          # Получение массива с запросами
          $sql = parse_sql($sql);
          
          # Кол-во запросов всего
          $num_queries = 0;
          
          # Кол-во выполненных запросов
          $num_queries_ok = 0;
          
          for ($i=0;$i<count($sql);$i++) {
            if ($sql[$i] != '') {
              $num_queries++;

              if (mysql_query($sql[$i])) {
                $num_queries_ok++;
              }
            }
          }
          
          echo '<div class="title"><img src="images/titl.gif" class="ico" alt="" />Соединение с базой данных</div>
          <div class="menu">
          Настройки для соединения с базой данных сохранены. Импортировано '. $num_queries_ok .' таблиц в базу данных из '. $num_queries .' возможных.<br />
          <a href="?act=reg">Продолжить</a>
          </div>
          
          <div class="block">
          <a href="?act=db">Вернуться назад</a>
          </div>
          
          </div>
    
          <div class="stat"><a href="http://waplog.net/c.shtml?374534"><img src="http://c.waplog.net/374534.cnt" alt="waplog" /></a></div>
    
          <div class="copy"><a href="http://scms.su">2010-'. date('Y', time()) .' &copy; SteamCMS</a></div>';
    
          exit();
        }
      }
      
      if (isset($err)) echo '<div class="err">'. $err .'</div>';
    
      echo '<form method="post" action="?act=db">
      <div class="title"><img src="images/titl.gif" class="ico" alt="" />Соединение с базой данных</div>
      <div class="menu">
      Сервер:<br />
      <input type="text" name="server" value="localhost" /><br />
      Пользователь:<br />
      <input type="text" name="user" /><br />
      Пароль:<br />
      <input type="password" name="password" /><br />
      База данных:<br />
      <input type="text" name="db" /><br />
      <input type="submit" name="add_db" value="Отправить" />
      </div>
      </form>
      
      <div class="block">
      <a href="?act=chmod">Вернуться назад</a>
      </div>';
    break;
    
    # Регистрация администратора
    case 'reg':
      if (isset($_POST['reg_admin'])) {
        $nick = htmlspecialchars(trim($_POST['nick']));
        $login = htmlspecialchars(trim($_POST['login']));
        $email = htmlspecialchars(trim($_POST['email']));
        $password = htmlspecialchars(trim($_POST['password']));
        $password2 = htmlspecialchars(trim($_POST['password2']));
        
        if (empty($nick)) $err .= 'Не введен ник<br />';
        if (empty($login)) $err .= 'Не введен логин<br />';
        if (empty($email)) $err .= 'Не введен E-Mail<br />';
        if (empty($password)) $err .= 'Не введен пароль<br />';
        if (empty($password2)) $err .= 'Не введен повторный пароль<br />';
        
        if (!empty($nick) && (mb_strlen($nick, 'UTF-8') < 3 || mb_strlen($nick, 'UTF-8') > 32)) $err .= 'Неверная длина ника. Допустимо от 3 до 32 символов<br />';
        
        if (!empty($nick) && !preg_match("#^([A-zА-я0-9\-\_\ ])+$#ui", $nick)) $err .= 'Запрещенные символы в нике. Разрешены символы A-zА-я0-9-_ и пробел<br />';
        
        if (!empty($login) && (mb_strlen($login, 'UTF-8') < 3 || mb_strlen($login, 'UTF-8') > 32)) $err .= 'Неверная длина логина. Допустимо от 3 до 32 символов<br />';
        
        if (!empty($email) && (mb_strlen($email, 'UTF-8') < 3 || mb_strlen($email, 'UTF-8') > 72)) $err .= 'Неверная длина E-Mail. Допустимо от 3 до 72 символов<br />';

        if (!empty($email) && !preg_match('|^([a-z0-9_\.\-]{1,20})@([a-z0-9\.\-]{1,20})\.([a-z]{2,4})$|ius', $email)) $err .= 'Неверный формат E-Mail<br />';
        
        if (!empty($password) && (mb_strlen($password, 'UTF-8') < 5 || mb_strlen($password, 'UTF-8') > 64)) $err .= 'Неверная длина пароля. Допустимо от 5 до 64 символов<br />';
        
        if (!empty($password) && !empty($password2) && $password != $password2) $err .= 'Пароли не совпадают<br />';
        
        if (!isset($err)) {
          # Шифрование пароля
          function encrypt($var) {
            return md5(base64_encode($var) .'SteamCMS');
          }
        
          # Кодируем пароль
          $password = encrypt($password);
          
          $mysql = parse_ini_file(HOME .'/incfiles/data/db.ini');

          # Подключение к MySQL серверу
          mysql_connect($mysql['server'], $mysql['user'], $mysql['password']) or die('Невозможно подключиться к MySQL серверу');

          # Подключение к базе данных
          mysql_select_db($mysql['db']) or die('Невозможно подключиться к базе данных');
        
          # Кодировка соединения
          mysql_query("SET NAMES utf8");
        
          # Запрос на регистрацию
          mysql_query("INSERT INTO `users` SET `login` = '". mysql_real_escape_string(trim($login)) ."', `nick` = '". mysql_real_escape_string(trim($nick)) ."', `password` = '". mysql_real_escape_string(trim($password)) ."', `date_reg` = '". time() ."', `date_last_entry` = '". time() ."', `email` = '". mysql_real_escape_string(trim($email)) ."', `level` = '15'");
          
          session_destroy();
          
          echo '<div class="title"><img src="images/titl.gif" class="ico" alt="" />Завершение установки</div>
          <div class="menu">
          Установка успешно завершена. Благодарим Вас за выбор SteamCMS. Вы можете приступить использованию Вашего сайта. Не забудьте удалить папку <b>/install/</b>.<br />
          <a href="/?login='. $login .'&amp;password='. $password2 .'">Перейти на сайт</a>
          </div>
          
          <div class="block">
          <a href="?act=reg">Вернуться назад</a>
          </div>
          
          </div>
    
          <div class="stat"><a href="http://waplog.net/c.shtml?374534"><img src="http://c.waplog.net/374534.cnt" alt="waplog" /></a></div>
    
          <div class="copy"><a href="http://scms.su">2010-'. date('Y', time()) .' &copy; SteamCMS</a></div>';
    
          exit();
        }         
      }
    
      if (isset($err)) echo '<div class="err">'. $err .'</div>';
      
      echo '<form method="post" action="?act=reg">
      <div class="title"><img src="images/titl.gif" class="ico" alt="" />Регистрация администратора</div>
      <div class="menu">
      Ник:<br />
      <input type="text" name="nick" value="'. htmlspecialchars($_POST['nick']) .'" /><br />
      Логин:<br />
      <input type="text" name="login" value="'. htmlspecialchars($_POST['login']) .'" /><br />
      E-Mail:<br />
      <input type="text" name="email" value="'. htmlspecialchars($_POST['email']) .'" /><br />
      Пароль:<br />
      <input type="password" name="password" /><br />
      Повторите пароль:<br />
      <input type="password" name="password2" /><br />
      <input type="submit" name="reg_admin" value="Регистрировать" />
      </div>
      </form>
      
      <div class="block">
      <a href="?act=db">Вернуться назад</a>
      </div>';
    break;
  }

?>
  </div>
    
  <div class="stat"><a href="http://waplog.net/c.shtml?374534"><img src="http://c.waplog.net/374534.cnt" alt="waplog" /></a></div>
  
  <div class="copy"><a href="http://scms.su">2010-<?php echo date('Y', time()); ?> &copy; SteamCMS</a></div>

  </body>
</html>